// ID:编号, ItemIDs:物品ID, ItemCounts:物品数量, weight:权重

export default class M_ActivityTimeShopCFG {
  private static data =
      {"1":{"ID":1,"ItemIDs":[25],"ItemCounts":[1],"weight":1}

      ,"2":{"ID":2,"ItemIDs":[5],"ItemCounts":[10],"weight":20}

      ,"3":{"ID":3,"ItemIDs":[1],"ItemCounts":[20000],"weight":36}

      ,"4":{"ID":4,"ItemIDs":[24],"ItemCounts":[1],"weight":2}

      ,"5":{"ID":5,"ItemIDs":[8],"ItemCounts":[10],"weight":20}

      ,"6":{"ID":6,"ItemIDs":[16],"ItemCounts":[15],"weight":20}

      ,"7":{"ID":7,"ItemIDs":[26],"ItemCounts":[1],"weight":1}

      }// ID:编号, ItemIDs:物品ID, ItemCounts:物品数量, weight:权重


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}